

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/neofb.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

diff -puN drivers/video/neofb.c~neofb-build-fix drivers/video/neofb.c
--- 25/drivers/video/neofb.c~neofb-build-fix	2004-08-21 14:41:04.981303392 -0700
+++ 25-akpm/drivers/video/neofb.c	2004-08-21 14:41:04.986302632 -0700
@@ -1782,10 +1782,12 @@ static void neo_unmap_video(struct fb_in
 	DBG("neo_unmap_video");
 
 #ifdef CONFIG_MTRR
-	struct neofb_par *par = (struct neofb_par *) info->par;
+	{
+		struct neofb_par *par = (struct neofb_par *) info->par;
 
-	mtrr_del(par->mtrr, info->fix.smem_start,
-		 info->fix.smem_len);
+		mtrr_del(par->mtrr, info->fix.smem_start,
+			 info->fix.smem_len);
+	}
 #endif
 	iounmap(info->screen_base);
 	info->screen_base = NULL;
_
